float4x4 	gWorldViewProj 	: WorldViewProjection;
float gBorderFactor;
float4 gBackColor: COLOR;

struct vertexIn
{
	float4 pos 		: POSITION;
	float3 normal	: NORMAL;
};
 

struct vertexOutBack
{
	float4 pos		 : POSITION;
};


vertexOutBack backVS(vertexIn input)
{
	vertexOutBack output = (vertexOutBack)0;
	input.pos.xyz += input.normal * gBorderFactor;
	output.pos = mul(gWorldViewProj, input.pos);

	
	return output;
}
 


float4 backPS() : COLOR0
{
	return gBackColor;
}

